Bug 213732 - (CVE-2006-5465) CVE-2006-5465 PHP buffer overflow
CVE-2006-5465 PHP buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
source=vendorsec,reported=20061101,em...
: Security
Depends On: 213543
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 14:02 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: php-5.1.6-3.1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 12:43:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-11-02 14:02:57 EST
+++ This bug was initially created as a clone of Bug #213543 +++

Stefan Esser told vendor-sec about a buffer overflow in PHP's
htmlentities/htmlspecialchars internal routines.  These flaws are triggered when
handling utf-8 data.  The danger in this flaw is that these functions are
usually passed user input.

The patch for this issue can be found here:
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/html.c?r1=1.111.2.2.2.2&r2=1.111.2.2.2.3

-- Additional comment from bressers@redhat.com on 2006-11-02 13:39 EST --
This issue is public:
http://secunia.com/advisories/22653/


This issue should also affect FC5
Comment 1 Fedora Update System 2006-11-06 10:56:05 EST
php-5.1.6-1.2 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Fedora Update System 2006-11-06 10:56:50 EST
php-5.1.6-3.1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.